Magick++ 7.1.0

Public Member Functions | List of all members
Magick::addNoiseImage Class Reference

`#include <STL.h>`

## Public Member Functions
| addNoiseImage (const NoiseType noiseType_, const double attenuate_=1.0)
void | operator() (Image &image_) const

## Detailed Description

Definition at line 81 of file STL.h.

## Constructor & Destructor Documentation

## ◆ addNoiseImage()

Magick::addNoiseImage::addNoiseImage | ( | const NoiseType | noiseType_,
|  | const double | attenuate_ = `1.0`
| ) |  |

Definition at line 45 of file STL.cpp.

## Member Function Documentation

## ◆ operator()()

void Magick::addNoiseImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 52 of file STL.cpp.

References Magick::Image::addNoise().

The documentation for this class was generated from the following files:

- STL.h
- STL.cpp